Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 343562)
+++ channels/chan_sip.c	(working copy)
@@ -26724,9 +26724,10 @@
 		set_peer_defaults(peer);	/* Set peer defaults */
 		peer->type = 0;
 	}
-	if (!found && name)
-		ast_copy_string(peer->name, name, sizeof(peer->name));
 
+	/* in case the case of the peer name has changed, update the name */
+	ast_copy_string(peer->name, name, sizeof(peer->name));
+
 	/* If we have channel variables, remove them (reload) */
 	if (peer->chanvars) {
 		ast_variables_destroy(peer->chanvars);
